Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.mycarenet.memberdatav2.session.impl
Class MemberDataServiceImpl

    java.lang.Object
      be.ehealth.businessconnector.mycarenet.memberdatav2.session.impl.MemberDataServiceImpl

All Implemented Interfaces:
  MemberDataService

    public class MemberDataServiceImpl

extends Object
implements MemberDataService

A simplified interface to access the MemberData service Implements : `MemberDataService`

Constructor Summary
`MemberDataServiceImpl(SessionValidator sessionValidator)` Instantiates a new Member Data Sync service impl.

Method Summary
`MemberDataConsultationResponse` | `consultMemberData(MemberDataConsultationRequest request)` Sends the consult MemberData request to the WS (needs a Session to be active, token is retrieved from the session)

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MemberDataServiceImpl

    public MemberDataServiceImpl(SessionValidator sessionValidator)
                          throws TechnicalConnectorException

  Instantiates a new Member Data Sync service impl.

  Parameters:
    `sessionValidator` - the sessionValidator
  Throws:
    `TechnicalConnectorException` - the technical connector exception

Method Detail

### consultMemberData

    public MemberDataConsultationResponse consultMemberData(MemberDataConsultationRequest request)
                                                     throws TechnicalConnectorException

  Description copied from interface: `MemberDataService`
  Sends the consult MemberData request to the WS (needs a Session to be active, token is retrieved from the session)

  Specified by:
    `consultMemberData` in interface `MemberDataService`
  Parameters:
    `request` - the consultation request
  Returns:
    the WS response
  Throws:
    `TechnicalConnectorException` - the technical connector exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSLOGOPEDIST 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.